/* GRAPHIQUE */

#selecteur-graphique {
  position: fixed;
  width: 75vw;
  height: 100vh;
  right: 0px;
  top: 0px;
  background-image: url('../selecteur/image-fond-selecteur.jpg');
  background-position: center;
  background-size: contain;
}

#compensateur-selecteur {
  display: none;
}

/* TABLEAU */

#tableau-selecteur div {
	position: relative;
	border-radius: 0px;
	display: table;
	width: 100%;
	background-color: #f6f6f6;
	margin: 2px 0px;
	padding: 2px 0;
	overflow: hidden;
	overflow: visible;
  z-index: 1000;
}

#tableau-selecteur div.lot.disponible { box-shadow: inset -10px 0 0 0 var(--color-selecteur-dispo); }
#tableau-selecteur div.lot.reservé { box-shadow: inset -10px 0 0 0 var(--color-selecteur-reser); }
#tableau-selecteur div.lot.vendu { box-shadow: inset -10px 0 0 0 var(--color-selecteur-vendu); }

#tableau-selecteur div.lot {
  cursor: pointer;
  transition-duration: 0.4s;
}

#tableau-selecteur div.lot.disponible:hover { box-shadow: inset 0px 0 0 0 var(--color-selecteur-dispo);  }
#tableau-selecteur div.lot.reservé:hover { box-shadow: inset 0px 0 0 0 var(--color-selecteur-reser); }
#tableau-selecteur div.lot.vendu:hover { box-shadow: inset 0px 0 0 0 var(--color-selecteur-vendu); }

.poly-dispo { fill: var(--color-selecteur-dispo); }
.poly-reser { fill: var(--color-selecteur-reser); }
.poly-vendu { fill: var(--color-selecteur-vendu); }

svg polygon { display: none; }
.poly-ok { display: block; }


#tableau-selecteur div ul.ligne1,
#tableau-selecteur div ul.ligne2,
#tableau-selecteur div ul.ligne3,
#tableau-selecteur div ul.ligne4,
#tableau-selecteur div ul.ligne4b,
#tableau-selecteur div ul.ligne5 {
	display: table;
	table-layout: fixed;
	width: 100%;
  min-height: 50px;
	margin: 0;
}

#tableau-selecteur div ul.ligne1 li,
#tableau-selecteur div ul.ligne2 li,
#tableau-selecteur div ul.ligne3 li,
#tableau-selecteur div ul.ligne4 li,
#tableau-selecteur div ul.ligne4b li,
#tableau-selecteur div ul.ligne5 li {
	display: table-cell;
	padding: 10px;
	text-align: center;
	vertical-align: middle;
}

#tableau-selecteur div ul.ligne1 li:nth-child(1) { width: 15%; }
#tableau-selecteur div ul.ligne1 li:nth-child(2) { width: 15%; }
#tableau-selecteur div ul.ligne1 li:nth-child(3) { width: 20%; }
#tableau-selecteur div ul.ligne1 li:nth-child(4) { width: 20%; }
#tableau-selecteur div ul.ligne1 li:nth-child(5) { width: 30%; }

#tableau-selecteur div ul li p {
	font-family: "SansRegular";
	font-size: 12px;
	line-height: 17px;
	text-transform: uppercase;
}

body.selecteur-simple #tableau-selecteur div ul li p {
	font-family: "SansRegular";
	font-size: 16px;
	line-height: 20px;
	text-transform: uppercase;
}

#tableau-selecteur div ul li p.telechargement {
  font-size: 8px;
  line-height: 11px;
}

#tableau-selecteur div ul li p.telechargement img {
  vertical-align: middle;
  width: 50px;
}

#tableau-selecteur div ul li p b {
	font-family: "SansBold";

}

#tableau-selecteur div ul li i {
	font-family: "SansRegular";
	font-size: 8px;
  line-height: 10px;
	opacity: 0.7;
	letter-spacing: 1px;
	text-transform: uppercase;
	font-style: normal;
}

body.selecteur-simple #tableau-selecteur div ul li i {
  font-size: 11px;
  line-height: 14px;
}

#tableau-selecteur div ul li sup {
	font-family: "SansRegular";
	font-size: 8px;
  line-height: 0px;
	letter-spacing: 1px;
	text-transform: uppercase;
	font-style: normal;
}

#tableau-selecteur div.hide ul.ligne1,
#tableau-selecteur div.hide ul.ligne2,
#tableau-selecteur div.hide ul.ligne3,
#tableau-selecteur div.hide ul.ligne4 {
	border-bottom: 0px solid white;
}

#tableau-selecteur div ul li.disponible p { color: var(--color-selecteur-dispo); }
#tableau-selecteur div ul li.reservé p { color: var(--color-selecteur-reser); }
#tableau-selecteur div ul li.vendu p { color: var(--color-selecteur-vendu); }

/* HIDE */

#tableau-selecteur div.hide ul.ligne2,
#tableau-selecteur div.hide ul.ligne3,
#tableau-selecteur div.hide ul.ligne4 {
	display: none;
}

/* SHOW */

#tableau-selecteur div.show ul.ligne2,
#tableau-selecteur div.show ul.ligne3,
#tableau-selecteur div.show ul.ligne4 {
	display: table;
}

/* RESUME DISPONIBILITE */

ul#resume-disponibilite {
  display: table;
  position: relative;
  width: calc(100% - 80px);
  height: auto;
  margin: 0 40px;
}

ul#resume-disponibilite li.boutonFiltres {
  display: none;
}

ul#resume-disponibilite li {
  display: table-cell;
  width: calc(100% / 3);
  box-shadow: inset 0 0 0 8px white;
}

ul#resume-disponibilite li p {
  display: inline-block;
  background-color: white;
  font-family: 'SansBold', sans-serif;
  text-transform: uppercase;
  font-size: 10px;
  padding: 0 10px;
  letter-spacing: 1px;
}

ul#resume-disponibilite li.resum-dispo { background-color: #6FBB7E; }
ul#resume-disponibilite li.resum-reser { background-color: #E6B85F; }
ul#resume-disponibilite li.resum-vendu { background-color: #B44E50; }

ul#resume-disponibilite li.resum-dispo p { color: #6FBB7E; }
ul#resume-disponibilite li.resum-reser p { color: #E6B85F; }
ul#resume-disponibilite li.resum-vendu p { color: #B44E50; }

ul#resume-disponibilite li p span { color: #544f50; }

/* POLYGON */

#selecteur-graphique-polygon {
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0px;
  left: 0px;
}

#selecteur-graphique-polygon svg {
  position: absolute;
	top: 50%;
	left: 50%;
	width: 100%;
  height: 100%;
	transform: translate(-50%, -50%);
	object-fit: contain;
}


.cls-1 { fill: rgba(0,0,0,0); }
#selecteur-graphique-polygon svg polygon.cls-2 { opacity: 0.3; cursor: pointer; transition-duration: 0.4s; }
#selecteur-graphique-polygon svg polygon.cls-2:hover { opacity: 0.7; }
#selecteur-graphique-polygon svg polygon.polyClick { opacity: 0.9; }
#selecteur-graphique-polygon svg polygon.polyhover { opacity: 0.9; }

/* PARAGRAPHE */

p.footer-selecteur {
  font-family: 'SansLight', sans-serif;
  font-size: 14px;
  line-height: 20px;
  color: var(--color-gris-fonce);
  text-transform: uppercase;
  text-align: center;
}

p.footer-selecteur a { color: var(--color-projet-duboux); transition-duration: 0.4s; }
p.footer-selecteur a:hover { color: var(--color-gris-fonce); }

p.credits-selecteur {
  padding: 20px;
  font-family: 'SansRegular', sans-serif;
  font-size: 10px;
  line-height: 16px;
  color: var(--color-gris-moyen);
  text-transform: uppercase;
  text-align: center;
}

/* ZONE FILTRES */

.hidePiece { display: none !important; }
.hideEtage { display: none !important; }
.hideRangeBudget { display: none !important; }
.hideRangeSurface { display: none !important; }
.justDispo { display: none !important; }

#zone-filtres { display: none; }
/*#zone-filtres { display: block; }*/
#zone-filtres.open { display: block; }

#zone-filtres { width: 100%; }

#bouton-filtres, #bouton-validation-filtres {
  display: block;
  background-color: grey;
  width: 100%;
  transition-duration: 0.4s;
  cursor: pointer;
}

#bouton-filtres { background-color: var(--color-gris-fonce); color: var(--color-white); }
#bouton-validation-filtres { background-color: var(--color-projet-corpo); color: var(--color-gris-fonce); }

#bouton-filtres:hover { background-color: #544f50; }
#bouton-validation-filtres:hover { background-color: var(--color-gris-fonce); color: var(--color-white); }

#bouton-filtres p, #bouton-validation-filtres p {
  padding: 16px;
  text-align: center;
  font-family: 'SansRegular', sans-serif;
  text-transform: uppercase;
  font-size: 12px;
  letter-spacing: 6px;
  line-height: 20px;
}

ul#filtres-pieces, ul#filtres-etage {
  display: table;
  position: relative;
  width: 100%;
  height: auto;
  cursor: pointer;
  margin: 0;
}

ul#filtres-pieces li, ul#filtres-etage li {
  display: table-cell;
  padding: 10px 5px;
  text-align: left;
  font-family: 'SansBold', sans-serif;
  text-transform: uppercase;
  font-size: 13px;
  letter-spacing: 1px;
  color: #544f50;
  vertical-align: middle;
  text-align: center;
  width: 20%;
  border-bottom: 5px solid var(--color-gris-clair);
  transition-duration: 0.4s;
}

ul#filtres-pieces li.active, ul#filtres-etage li.active {
  border-bottom: 5px solid var(--color-gris-fonce);
}

ul.titre-section {
  position: relative;
  width: 100%;
  display: table;
  margin: 14px 0 0 0;
}

ul.titre-section li {
  display: table-cell;
  vertical-align: middle;
  padding: 5px;
  font-family: 'SansBold';
  font-size: 10px;
  text-transform: uppercase;
  text-align: center;
}

ul.titre-section li.titre {
  color: #544f50;
  letter-spacing: 4px;
}

ul.titre-section li.info {
  text-align: center;
  font-family: 'SansRegular', sans-serif;
  font-size: 10px;
  letter-spacing: 4px;
}

.titre-section.selection li { vertical-align: middle; }

#filtres-dispo li span {
  display: inline-block;
  position: relative;
  width: 14px;
  height: 14px;
  box-shadow: inset 0 0 0 1px #544f50;
  vertical-align: middle;
  cursor: pointer;
  transition-duration: 0.4s;
}

#filtres-dispo li span.active { background-color: #544f50; }

*/

/* SLIDER */

/*

#slider-budget, #slider-surface {
  position: relative;
  width: calc(100% - 16px);
  height: 6px;
  margin: 4px 0 18px 0;
  background-color: #b1a6a8;
}

.ui-widget.ui-widget-content {
  border: none !important;
}

.ui-slider-horizontal .ui-slider-range {
  background-color: #544f50;
}

.ui-corner-all {
  border-top-right-radius: 0px;
  border-top-left-radius: 0px;
  border-bottom-right-radius: 0px;
  border-bottom-left-radius: 0px;
}

.ui-state-default, .ui-widget-content .ui-state-default, .ui-widget-header .ui-state-default, .ui-button, html .ui-button.ui-state-disabled:hover, html .ui-button.ui-state-disabled:active { border: none !important; background-color: white; box-shadow: inset 0 0 0 1px #544f50;}
.ui-slider-horizontal .ui-slider-handle { top: 0px; }

.ui-slider-horizontal .ui-slider-handle {
  margin-left: 0px;
  width: 14px;
  height: 14px;
  top: -4px;
}

*/
